diff --git a/lang/cat.l b/lang/cat.l
index 11da5c280..86b65bf1e 100644
--- a/lang/cat.l
+++ b/lang/cat.l
@@ -1761,6 +1761,14 @@ CHAN_UNSUSPEND_FAILED
 # Misc responses
 CHAN_EXCEPTED
 	%s matches an except on %s and cannot be banned until the except have been removed.
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -5113,12 +5121,9 @@ CHAN_HELP_UNBAN
 	i major en el canal.
 
 CHAN_HELP_KICK
-	Sintàxi: KICK [#canal [nick [raó]]]
+	Sintàxi: KICK #canal nick [raó]
 	
-	Kickeja al nick seleccionat en el canal. Si el nick no és
-	donat, et kickejara a tu. Si el canal i el nick no són donats,
-	et kickejarà en tots els canals en els que
-	estiguis, sempre i quan tinguis els permisos per a fer-ho.
+	Kickeja al nick seleccionat en el canal.
 	
 	Per defecte, limitat a AOPs o aquells amb nivell d'
 	accés 5 i major en el canal.
diff --git a/lang/de.l b/lang/de.l
index 57fd25be1..902d64ba9 100644
--- a/lang/de.l
+++ b/lang/de.l
@@ -1765,6 +1765,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -5125,13 +5133,9 @@ CHAN_HELP_UNBAN
 	5 (oder UNBAN)ist.
 	
 CHAN_HELP_KICK
-	Syntax: KICK [Channel [Nickname [Grund]]]
+	Syntax: KICK Channel Nickname [Grund]
 	
-	Kickt den ausgewählten Nicknamen aus dem Channel. Wird
-	kein Nickname angegeben, wird ChanServ dich (!) kicken.
-	Wenn weder Nickname noch Channel angegeben werden, wird
-	ChanServ dich aus allen Channels kicken, in denen
-	du die entsprechenden Rechte hast.
+	Kickt den ausgewählten Nicknamen aus dem Channel.
 	
 	Standardmässig ist für diese Funktion ein Level
 	von mindestens 5 erforderlich.
diff --git a/lang/en_us.l b/lang/en_us.l
index 23d3148e9..f31121c3d 100644
--- a/lang/en_us.l
+++ b/lang/en_us.l
@@ -1730,6 +1730,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -4890,12 +4898,9 @@ CHAN_HELP_UNBAN
 	on the channel.
 	
 CHAN_HELP_KICK
-	Syntax: KICK [#channel [nick [reason]]]
+	Syntax: KICK #channel nick [reason]
 	
-	Kicks a selected nick on a channel. If nick is not given,
-	it will kick you. If channel and nick are not given,
-	it will kick you on all channels you're on, provided you
-	have the rights to.
+	Kicks a selected nick on a channel.
 	
 	By default, limited to AOPs or those with level 5 access 
 	and above on the channel.
diff --git a/lang/es.l b/lang/es.l
index a7bca6745..ad3343779 100644
--- a/lang/es.l
+++ b/lang/es.l
@@ -1759,6 +1759,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -5084,12 +5092,9 @@ CHAN_HELP_UNBAN
 	y mayor en el canal.
 
 CHAN_HELP_KICK
-	Sintaxis: KICK [#canal [nick [razon]]]
+	Sintaxis: KICK #canal nick [razon]
 	
-	Kickea al nick seleccionado en el canal. Si nick no es
-	dado, te kickeara a ti. Si canal y nick no son dados,
-	te kickeara en todos los canales, siempre y cuando tengas
-	permiso para hacerlo.
+	Kickea al nick seleccionado en el canal.
 	
 	Por defecto, limitado a AOPs o aquellos con nivel de
 	acceso 5 y mayor en el canal.
diff --git a/lang/fr.l b/lang/fr.l
index dbccea7e6..d895ca16f 100644
--- a/lang/fr.l
+++ b/lang/fr.l
@@ -1771,6 +1771,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -5155,12 +5163,9 @@ CHAN_HELP_UNBAN
 	d'accès de 5 ou plus sur le canal.
 
 CHAN_HELP_KICK
-	Syntaxe: KICK [#canal [pseudo [raison]]]
+	Syntaxe: KICK #canal pseudo [raison]
 	
-	Kicke le pseudo sélectionné sur un canal. Si pseudo n'est pas
-	donné, vous kickera sur le canal donné. Si pseudo et
-	#canal ne sont pas donnés, vous kickera sur tous
-	les canaux où vous êtes.
+	Kicke le pseudo sélectionné sur un canal.
 
 	Par défaut, limité aux AOPs ou à ceux ayant un niveau 
 	d'accès de 5 ou plus sur le canal.
diff --git a/lang/gr.l b/lang/gr.l
index 4d6385da0..cfa053145 100644
--- a/lang/gr.l
+++ b/lang/gr.l
@@ -1763,6 +1763,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -5058,13 +5066,10 @@ CHAN_HELP_UNBAN
 	ðáñáðÜíù óôï êáíÜëé.
 	    
 CHAN_HELP_KICK
-	Óýíôáîç: KICK [#êáíÜëé [øåõäþíõìï [ëüãïò]]]
+	Óýíôáîç: KICK #êáíÜëé øåõäþíõìï [ëüãïò]
+	
+	ÊÜíåé kick ôï øåõäþíõìï ðïõ ôïõ äßíåéò óôï êáíÜëé.
 	
-	ÊÜíåé kick ôï øåõäþíõìï ðïõ ôïõ äßíåéò óôï êáíÜëé. Áí äåí äþóåéò øåõäþíõìï,
-	èá êÜíåé kick åóÝíá. Áí äåí äþóåéò êáíÜëé êáé øåõäþíõìï,
-	èá êÜíåé kick åóÝíá óå üëá ôá êáíÜëéá ðïõ åßóáé åöüóïí Ý÷åéò ôï äéêáßùìá 
-	(access).
-	    
 	Áðü default, ÷ñçóéìïðïéåßôáé áðü ôïõò AOPs Þ áõôïýò ðïõ Ý÷ïõí level 5 access 
 	êáé ðáñáðÜíù óôï êáíÜëé.
 
diff --git a/lang/hun.l b/lang/hun.l
index 25570bb54..9509a8991 100644
--- a/lang/hun.l
+++ b/lang/hun.l
@@ -1756,6 +1756,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################
 #
@@ -4996,13 +5004,9 @@ CHAN_HELP_UNBAN
 	kell rendelkezned, hogy használhasd.	
 	
 CHAN_HELP_KICK
-	Syntax: KICK [#szoba [nick [indok]]]
+	Syntax: KICK #szoba nick [indok]
 	
 	A ChanServ kirúgja a megadott nicknevet a csatornáról.
-	Ha nem adsz meg nicket, akkor téged fog kirúgni.
-	Ha nem adsz meg szobát és nicket sem, akkor téged
-	fog minden csatornáról, ahol bent vagy kirúgni, ha
-	meg van a parancs használatához a szükséges szinted.
 	
 	Alapbeállítás szerint, min. AOP vagy 5-ös access szinttel
 	kell rendelkezned a csatornán, hogy használhasd.
diff --git a/lang/it.l b/lang/it.l
index df65abf63..f60df2e26 100644
--- a/lang/it.l
+++ b/lang/it.l
@@ -1738,6 +1738,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -5008,13 +5016,9 @@ CHAN_HELP_UNBAN
 	livello di accesso 5 o superiori sul canale.
 	
 CHAN_HELP_KICK
-	Sintassi: KICK [canale [nick [motivo]]]
+	Sintassi: KICK canale nick [motivo]
 	
-	Espelle (kick) il nick specificato dal canale. Se non viene
-	indicato alcun nick, kicka l'utente che ha inviato il comando.
-	Se non viene indicato né il nick né il canale, l'utente che
-	ha inviato il comando verrà kickato da tutti i canali in cui
-	si trova e in cui ha abbastanza privilegi.
+	Espelle (kick) il nick specificato dal canale.
 	
 	Di default, il comando è limitato agli AOP o agli utenti con
 	livello di accesso 5 o superiori sul canale.
diff --git a/lang/nl.l b/lang/nl.l
index 9a8201407..5760a3037 100644
--- a/lang/nl.l
+++ b/lang/nl.l
@@ -1748,6 +1748,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -5016,12 +5024,9 @@ CHAN_HELP_UNBAN
 	niveau 5 of hoger op het kanaal.
 
 CHAN_HELP_KICK
-	Gebruik: KICK [#kanaal [nick [reden]]]
+	Gebruik: KICK #kanaal nick [reden]
 	
-	Kickt de gegeven nick van het gegeven kanaal. Als nick niet
-	is gegeven wordt je zelf gekicked. Als kanaal en nick niet
-	zijn gegeven wordt je zelf gekicked op alle kanalen waar je
-	bent, mits je de rechten daartoe hebt.
+	Kickt de gegeven nick van het gegeven kanaal.
 	
 	Standaard is dit gelimiteerd tot AOPs of degenen met
 	niveau 5 of hoger op het kanaal.
diff --git a/lang/pl.l b/lang/pl.l
index e92f0576e..6249757a1 100644
--- a/lang/pl.l
+++ b/lang/pl.l
@@ -2288,6 +2288,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -6085,15 +6093,9 @@ CHAN_HELP_UNBAN
 	dostêpu 5 lub wy¿szy.
 
 CHAN_HELP_KICK
-	Sk³adnia: KICK [kana³ [nick [powód]]]
+	Sk³adnia: KICK kana³ nick [powód]
 	
 	Wykopuje wskazanego u¿ytkownika z kana³u.
-	Pominiêcie nicka powoduje wyrzucenie osoby
-	wydaj±cej polecenie. Dodatkowo pominiêcie
-	nazwy kana³u powoduje wyrzucenie wydaj±cego
-	polecenie ze wszystkich kana³ów, na których
-	przebywa z uwzglêdnieniem uprawnieñ na nich
-	przys³uguj±cych.
 	
 	Standardowo ta komenda jest dostêpna dla u¿ytkowników
 	wpisanych na listê AOP lub posiadaj±cych poziom
diff --git a/lang/pt.l b/lang/pt.l
index 150894669..4127f7ae2 100644
--- a/lang/pt.l
+++ b/lang/pt.l
@@ -1750,6 +1750,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -4958,13 +4966,9 @@ CHAN_HELP_UNBAN
 	nível de acesso 5 ou superior no canal.
 
 CHAN_HELP_KICK
-	Sintaxe: KICK [#canal [nick [motivo]]]
+	Sintaxe: KICK #canal nick [motivo]
 	
 	Kicka (expulsa) um nick dado em um determinado canal.
-	Se não for fornecido um nick, você mesmo será kickado.
-	Se nem canal nem nick forem fornecidos, você mesmo será
-	kickado em todos os canais onde estiver, caso tenha nível
-	suficiente para usar o comando em cada um.
 
 	Por padrão, é limitado aos AOPs ou àqueles que possuem
 	nível de acesso 5 ou superior no canal.
diff --git a/lang/ru.l b/lang/ru.l
index a2912ef0c..9a4a97c9e 100644
--- a/lang/ru.l
+++ b/lang/ru.l
@@ -1729,6 +1729,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -5029,12 +5037,9 @@ CHAN_HELP_UNBAN
 	èëè ëèöàìè ñ óðîâíåì äîñòóïà 5 è âûøå.
 
 CHAN_HELP_KICK
-	Ñèíòàêñèñ: KICK [#êàíàë [íèê [ïðè÷èíà]]]
+	Ñèíòàêñèñ: KICK #êàíàë íèê [ïðè÷èíà]
 	
-	Âûêèäûâàåò óêàçàííîãî ïîëüçîâàòåëÿ ñ óêàçàííîãî êàíàëà. Åñëè íèê íå
-	óêàçàí - âûêèäûâàåò âàñ.  Åñëè êàíàë è íèê íå óêàçàíû - âûêèíåò âàñ
-	ñî âñåõ êàíàëîâ,  íà  êîòîðûõ  ó  âàñ  åñòü ñîîòâåòñòâóþùèé óðîâåíü
-	äîñòóïà.
+	Âûêèäûâàåò óêàçàííîãî ïîëüçîâàòåëÿ ñ óêàçàííîãî êàíàëà.
 	
 	Ïî-óìîë÷àíèþ,  äàííàÿ  êîìàíäà  ìîæåò áûòü èñïîëüçîâàíà AOP'àìè èëè
 	ëèöàìè ñ óðîâíåì äîñòóïà 5 è âûøå.
diff --git a/lang/tr.l b/lang/tr.l
index d8a94460d..cc77b085f 100644
--- a/lang/tr.l
+++ b/lang/tr.l
@@ -1758,6 +1758,14 @@ CHAN_DEPROTECT_SYNTAX
 	DEROTECT #channel [nick]
 CHAN_DEOWNER_SYNTAX
 	DEOWNER #channel
+	
+#Kick responces
+CHAN_KICK_SYNTAX
+	KICK #channel nick [reason]
+
+#Ban responces
+CHAN_BAN_SYNTAX
+	BAN #channel nick [reason]
 
 ###########################################################################
 #
@@ -5030,11 +5038,9 @@ CHAN_HELP_UNBAN
 	kullanabilir.
 
 CHAN_HELP_KICK
-	Kullanýmý: KICK [#kanaladý [nick [sebep]]]
+	Kullanýmý: KICK #kanaladý nick [sebep]
 	
-	Belirtilen nicki kanaldan atar. Eðer nick belirtilmemiþse
-	sizi atar. Eðer kanal ve nick belirtilmemiþse, sizi 
-	bulunduðunuz tüm kanallardan atar.
+	Belirtilen nicki kanaldan atar.
 	
 	Varsayýlan olarak, AOP lar ile access seviyesi 5 ve üzeri
 	olanlar bu komutu kullanabilir.
diff --git a/src/core/cs_ban.c b/src/core/cs_ban.c
index 058c2ad6f..21eed2551 100644
--- a/src/core/cs_ban.c
+++ b/src/core/cs_ban.c
@@ -107,8 +107,7 @@ class CommandCSBan : public Command
 
 	void OnSyntaxError(User *u)
 	{
-		// XXX: temporary, this can be tackled when the language system isn't so goddamn hairy.
-		syntax_error(s_ChanServ, u, "BAN", CHAN_UNBAN_SYNTAX);
+		syntax_error(s_ChanServ, u, "BAN", CHAN_BAN_SYNTAX);
 	}
 };
 
diff --git a/src/core/cs_kick.c b/src/core/cs_kick.c
index c14b0f0a3..5ee3c2430 100644
--- a/src/core/cs_kick.c
+++ b/src/core/cs_kick.c
@@ -89,8 +89,7 @@ class CommandCSKick : public Command
 
 	void OnSyntaxError(User *u)
 	{
-		// XXX: best I can do for now, fixme
-		notice_lang(s_ChanServ, u, CHAN_X_NOT_IN_USE, "");
+		syntax_error(s_ChanServ, u, "KICK", CHAN_KICK_SYNTAX);
 	}
 };
 
